List Assets
curl --request GET \
--url https://api.crosoftware.com/v0/locations/{location_id}/assets \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/assets"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_limit": 123,
"current_page": 123,
"results": [
{
"asset_type_id": 123,
"asset_type_name": "<string>",
"condition": 123,
"is_anonymous": true,
"last_incident_id": 123,
"last_job_completion_date": "2023-11-07T05:31:56Z",
"last_job_id": 123,
"last_job_type": "<string>",
"last_job_type_name": "<string>",
"last_serviced_on": "2023-11-07T05:31:56Z",
"location": {
"address": {
"id": 123,
"latitude": "<string>",
"line_1": "<string>",
"locality": "<string>",
"longitude": "<string>",
"region": "<string>",
"line_2": "<string>",
"line_3": "<string>",
"line_4": "<string>",
"postcode": "<string>"
},
"customer_id": 123,
"description": "<string>",
"holding_yard_id": 123,
"in_main_inventory": true,
"last_moved_on": "2023-11-07T05:31:56Z",
"name": "<string>"
},
"number": "<string>",
"provider_location_id": 123
}
],
"total_count": 123,
"total_pages": 123
}Assets
List Assets
List assets for given location.
GET
/
locations
/
{location_id}
/
assets
List Assets
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Query Parameters
Paged results page index (starting from 1).
Maximun number of results per page.
Response
200 - application/json
Success
Asset list (paged).
⌘I